Skip to main content
`Ctrl`+`K`

# BaseTableCoordinate

class ndcube.extra_coords.BaseTableCoordinate(*tables, mesh=False, names=None, physical_types=None)

  Bases: `ABC`

  A Base LookupTable contains a single lookup table coordinate.

  This can be multi-dimensional, to support use cases for coupled dimensions, such as SkyCoord, or a 3D grid of distances where three 1D lookup tables are supplied for each of the axes. The upshot of this is that each BaseLookupTable has only one gWCS frame.

  The contrasts with LookupTableCoord which can contain multiple physical coordinates, meaning it can have multiple gWCS frames.

  Attributes Summary

  `dropped_world_dimensions` |
  `frame` | Generate the Frame for this LookupTable.
  `model` | Generate the Astropy Model for this LookupTable.
  `n_inputs` | Number of pixel dimensions in this table.
  `wcs` | A gWCS object representing all the coordinates.

  Methods Summary

  `is_scalar`() | Return a boolean if this coordinate is a scalar.

  Attributes Documentation

  dropped_world_dimensions
  frame

    Generate the Frame for this LookupTable.

  model

    Generate the Astropy Model for this LookupTable.

  n_inputs

    Number of pixel dimensions in this table.

  wcs

    A gWCS object representing all the coordinates.

  Methods Documentation

  abstractmethod is_scalar()

    Return a boolean if this coordinate is a scalar.

    This is used by `MultipleTableCoordinate` and `ndcube.ExtraCoords` to know if the dimension has been “dropped”.